- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Functions

# qatomic_mips.h File Reference

Go to the source code of this file.

## Defines
#define | Q_ATOMIC_INT_REFERENCE_COUNTING_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_TEST_AND_SET_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_STORE_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_ADD_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_TEST_AND_SET_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_ALWAYS_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_ALWAYS_NATIVE
## Functions
Q_CORE_EXPORT int | q_atomic_test_and_set_int (volatile int *ptr, int expected, int newval)
Q_CORE_EXPORT int | q_atomic_test_and_set_acquire_int (volatile int *ptr, int expected, int newval)
Q_CORE_EXPORT int | q_atomic_test_and_set_release_int (volatile int *ptr, int expected, int newval)
Q_CORE_EXPORT int | q_atomic_test_and_set_ptr (volatile void *ptr, void *expected, void *newval)
Q_CORE_EXPORT int | q_atomic_test_and_set_acquire_ptr (volatile void *ptr, void *expected, void *newval)
Q_CORE_EXPORT int | q_atomic_test_and_set_release_ptr (volatile void *ptr, void *expected, void *newval)

## Define Documentation

#define Q_ATOMIC_INT_REFERENCE_COUNTING_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 49 of file qatomic_mips.h.

#define Q_ATOMIC_INT_TEST_AND_SET_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 56 of file qatomic_mips.h.

#define Q_ATOMIC_INT_FETCH_AND_STORE_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 63 of file qatomic_mips.h.

#define Q_ATOMIC_INT_FETCH_AND_ADD_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 70 of file qatomic_mips.h.

#define Q_ATOMIC_POINTER_TEST_AND_SET_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 77 of file qatomic_mips.h.

#define Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 86 of file qatomic_mips.h.

#define Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_ALWAYS_NATIVE

Search for all occurrences

Definition at line 95 of file qatomic_mips.h.

## Function Documentation

Q_CORE_EXPORT int q_atomic_test_and_set_int | ( | volatile int * | ptr,
|  | int | expected,
|  | int | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_test_and_set_acquire_int | ( | volatile int * | ptr,
|  | int | expected,
|  | int | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_test_and_set_release_int | ( | volatile int * | ptr,
|  | int | expected,
|  | int | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_test_and_set_ptr | ( | volatile void * | ptr,
|  | void * | expected,
|  | void * | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_test_and_set_acquire_ptr | ( | volatile void * | ptr,
|  | void * | expected,
|  | void * | newval
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int q_atomic_test_and_set_release_ptr | ( | volatile void * | ptr,
|  | void * | expected,
|  | void * | newval
| ) |  |

Search for all occurrences